# Uses of Interface
javax.validation.metadata.MethodDescriptor

Packages that use MethodDescriptor
Package
Description
javax.validation.metadata

## Uses of MethodDescriptor in javax.validation.metadata

Methods in javax.validation.metadata that return MethodDescriptor
Modifier and Type
Method
Description
`MethodDescriptor`
BeanDescriptor.`getConstraintsForMethod(String methodName, Class<?>... parameterTypes)`
Methods in javax.validation.metadata that return types with arguments of type MethodDescriptor
Modifier and Type
Method
Description
`Set<MethodDescriptor>`
BeanDescriptor.`getConstrainedMethods(MethodType methodType, MethodType... methodTypes)`